! function() {
    "use strict";
    var e = window.wp.element;
    ! function(l, a, t, n) {
        const {
            registerBlockType: o
        } = l, {
            InspectorControls: i,
            MediaPlaceholder: r
        } = a, {
            ToggleControl: p,
            PanelBody: c,
            SelectControl: s,
            RangeControl: y,
            TextControl: g
        } = t, b = n;
        o("Bwdmediafiles/gallery", {
            title: window.MediaFilesGallery.i18n.block.gallery.title,
            description: window.MediaFilesGallery.i18n.block.gallery.description,
            icon: "images-alt2",
            category: "Bwdmediafiles",
            attributes: {
                attachmentIds: {
                    type: "string"
                },
                categories: {
                    type: "array"
                },
                columns: {
                    type: "number"
                },
                max: {
                    type: "number"
                },
                height: {
                    type: "string"
                },
                spacing: {
                    type: "string"
                },
                orderBy: {
                    type: "string",
                    default: "date"
                },
                order: {
                    type: "string",
                    default: "DESC"
                },
                imageSize: {
                    type: "string",
                    default: "medium"
                },
                linkTo: {
                    type: "string",
                    default: "none"
                },
                noCrop: {
                    type: "boolean",
                    default: !1
                },
                includeChildren: {
                    type: "boolean",
                    default: !1
                },
                caption: {
                    type: "boolean",
                    default: !1
                },
                lightbox: {
                    type: "boolean",
                    default: !1
                },
                lightboxCaption: {
                    type: "boolean",
                    default: !1
                },
                lightboxFullscreen: {
                    type: "boolean",
                    default: !1
                },
                lightboxThumbnails: {
                    type: "boolean",
                    default: !1
                },
                lightboxZoom: {
                    type: "boolean",
                    default: !1
                }
            },
            edit: function(l) {
                const {
                    attributes: a,
                    setAttributes: t,
                    className: n
                } = l;
                return (0, e.createElement)("div", null, (0, e.createElement)(i, null, (0, e.createElement)(c, {
                    title: MediaFilesGallery.i18n.block.gallery.settingsTitle,
                    initialOpen: !0
                }, (0, e.createElement)(r, {
                    multiple: !0,
                    gallery: !0,
                    labels: {
                        title: MediaFilesGallery.i18n.block.attachmentIds
                    },
                    onSelect: e => {
                        let l = e.map((e => e.id)).join(",");
                        t({
                            attachmentIds: l
                        })
                    },
                    value: a.attachmentIds,
                    accept: "image/*",
                    allowedTypes: ["image"]
                }), (0, e.createElement)("h3", null, (0, e.createElement)("span", null, "IDs: ", a.attachmentIds, " "), (0, e.createElement)("span", {
                    class: "remove",
                    onClick: e => {
                        console.info("click", e), t({
                            attachmentIds: ""
                        })
                    }
                }, "(", MediaFilesGallery.i18n.block.gallery.clear, ")")), (0, e.createElement)(s, {
                    multiple: !0,
                    label: MediaFilesGallery.i18n.block.gallery.folders,
                    help: MediaFilesGallery.i18n.block.gallery.foldersHelp,
                    value: a.categories,
                    size: MediaFilesGallery.folders.length <= 10 ? MediaFilesGallery.folders.length : 10,
                    className: "bwdmfmx-mediafiles-select-multiple",
                    options: MediaFilesGallery.folders.filter((e => e.id > 0)).map((e => ({
                        value: e.id,
                        label: e.name
                    }))),
                    onChange: e => t({
                        categories: e
                    })
                }), (0, e.createElement)(y, {
                    label: MediaFilesGallery.i18n.block.gallery.columns,
                    value: a.columns,
                    min: 1,
                    max: 12,
                    onChange: e => t({
                        columns: e
                    })
                }), (0, e.createElement)(y, {
                    label: MediaFilesGallery.i18n.block.gallery.maxItems,
                    value: a.max,
                    min: -1,
                    onChange: e => t({
                        max: e
                    })
                }), (0, e.createElement)(g, {
                    label: MediaFilesGallery.i18n.block.gallery.height,
                    value: a.height,
                    placeholder: "300px",
                    spellcheck: "false",
                    onChange: e => t({
                        height: e
                    })
                }), (0, e.createElement)(g, {
                    label: MediaFilesGallery.i18n.block.gallery.spacing,
                    value: a.spacing,
                    placeholder: "20px",
                    spellcheck: "false",
                    onChange: e => t({
                        spacing: e
                    })
                }), (0, e.createElement)(s, {
                    label: MediaFilesGallery.i18n.block.gallery.orderBy,
                    value: a.orderBy,
                    options: Object.keys(MediaFilesGallery.options.orderBy).map((e => ({
                        value: e,
                        label: MediaFilesGallery.options.orderBy[e]
                    }))),
                    onChange: e => t({
                        orderBy: e
                    })
                }), (0, e.createElement)(s, {
                    label: MediaFilesGallery.i18n.block.gallery.order,
                    value: a.order,
                    options: Object.keys(MediaFilesGallery.options.order).map((e => ({
                        value: e,
                        label: MediaFilesGallery.options.order[e]
                    }))),
                    onChange: e => t({
                        order: e
                    })
                }), (0, e.createElement)(s, {
                    label: MediaFilesGallery.i18n.block.gallery.imageSize,
                    value: a.imageSize,
                    options: Object.keys(MediaFilesGallery.options.imageSizes).map((e => ({
                        value: e,
                        label: MediaFilesGallery.options.imageSizes[e]
                    }))),
                    onChange: e => t({
                        imageSize: e
                    })
                }), (0, e.createElement)(s, {
                    label: MediaFilesGallery.i18n.block.gallery.linkTo,
                    value: a.linkTo,
                    options: Object.keys(MediaFilesGallery.options.linkTo).map((e => ({
                        value: e,
                        label: MediaFilesGallery.options.linkTo[e]
                    }))),
                    onChange: e => t({
                        linkTo: e
                    })
                }), (0, e.createElement)(p, {
                    label: MediaFilesGallery.i18n.block.gallery.noCrop,
                    checked: a.noCrop,
                    onChange: e => t({
                        noCrop: e
                    })
                }), (0, e.createElement)(p, {
                    label: MediaFilesGallery.i18n.block.gallery.includeSubfolder,
                    checked: a.includeChildren,
                    onChange: e => t({
                        includeChildren: e
                    })
                }), (0, e.createElement)(p, {
                    label: MediaFilesGallery.i18n.block.gallery.caption,
                    checked: a.caption,
                    onChange: e => t({
                        caption: e
                    })
                }), (0, e.createElement)(p, {
                    label: MediaFilesGallery.i18n.block.gallery.lightbox,
                    checked: a.lightbox,
                    onChange: e => t({
                        lightbox: e
                    })
                }), a.lightbox ? (0, e.createElement)(p, {
                    label: MediaFilesGallery.i18n.block.gallery.lightboxCaption,
                    checked: a.lightboxCaption,
                    onChange: e => t({
                        lightboxCaption: e
                    })
                }) : null, a.lightbox ? (0, e.createElement)(p, {
                    label: MediaFilesGallery.i18n.block.gallery.lightboxFullscreen,
                    checked: a.lightboxFullscreen,
                    onChange: e => t({
                        lightboxFullscreen: e
                    })
                }) : null, a.lightbox ? (0, e.createElement)(p, {
                    label: MediaFilesGallery.i18n.block.gallery.lightboxThumbnails,
                    checked: a.lightboxThumbnails,
                    onChange: e => t({
                        lightboxThumbnails: e
                    })
                }) : null, a.lightbox ? (0, e.createElement)(p, {
                    label: MediaFilesGallery.i18n.block.gallery.lightboxZoom,
                    checked: a.lightboxZoom,
                    onChange: e => t({
                        lightboxZoom: e
                    })
                }) : null)), (0, e.createElement)(b, {
                    block: "Bwdmediafiles/gallery",
                    attributes: a
                }))
            },
            save: function(e) {
                return null
            }
        })
    }(window.wp.blocks, window.wp.blockEditor, window.wp.components, window.wp.serverSideRender)
}();